execute as @a at @s run function main:pressure_plate/set_score
function main:firetick/tick

#maps
execute as @e[type=armor_stand,name=console,limit=1] run function main:maps/tick

#PLAYSOUNDS
execute as @e[tag=playsound_firework] at @s run playsound minecraft:entity.firework_rocket.launch master @s ~ ~ ~ 0.2 1
tag @e remove playsound_firework

effect give @a saturation 100000 255 true

#On join
execute as @a[tag=!joined] run function main:on_join

#hay block
execute unless entity @a[x=3,y=52,z=56,distance=..3] run setblock 3 51 56 farmland[moisture=7]
execute unless entity @a[x=3,y=52,z=56,distance=..3] run setblock 3 52 56 wheat[age=7]
execute if entity @a[x=3,y=52,z=56,distance=..3] run setblock 3 52 56 hay_block

#zombie
tp @e[type=zombie,x=-100,y=123,z=-100,dx=200,dy=-100,dz=200] 9.5 125 62.5

#water kill
execute as @a at @s positioned ~ 65 ~ as @s[distance=..5] run tag @s add water_damage
execute as @a[tag=ingame,tag=water_damage] at @s positioned ~ 51 ~ as @s[distance=..1] at @s if block ~ ~ ~ water run kill @s

#Reset scores at spawn
scoreboard players reset @a[x=0,y=52,z=-127,distance=..5] time
scoreboard players reset @a[x=0,y=52,z=-127,distance=..5] time_tick
tag @a[x=0,y=52,z=-127,distance=..5] remove ingame

#time
scoreboard players add @a[tag=ingame] time_tick 1
scoreboard players add @a[tag=ingame,scores={time_tick=20}] time 1
scoreboard players set @a[scores={time_tick=20}] time_tick 0

#time display
execute as @e[type=armor_stand,name=console] run function main:set_display

#ending
execute as @a[x=-12,y=40,z=83,distance=..1] at @s run function main:win/main
execute unless entity @a[tag=win_timer] run kill @e[type=area_effect_cloud,name=firework]

scoreboard players set @e[type=armor_stand,name=console] endplayers 0
execute if entity @a[x=-60,y=146,z=-60,dx=120,dy=30,dz=120] run scoreboard players set @e[type=armor_stand,name=console] endplayers 1
execute as @e[type=armor_stand,name=console,tag=finish,scores={endplayers=0}] at @s run function main:win/reset

#timers
execute as @e[type=armor_stand,name=console,limit=1] run function main:timer/tick

#reset trigger
scoreboard players enable @a reset
tag @a[scores={reset=1}] remove joined
scoreboard players set @a reset 0

#reset PB trigger
scoreboard players enable @a reset_PB
scoreboard players set @a[scores={reset_PB=1}] time_pb 2147483647
tellraw @a[scores={reset_PB=1}] [{"text":"PB: ","color":"gold","bold":true},{"text":"Your personal best has been reset","bold":false,"color":"gray"}]
scoreboard players set @a reset_PB 0

#restart trigger
scoreboard players enable @a restart
execute as @a[scores={restart=1}] run function main:restart
scoreboard players set @a restart 0

#elytra
function main:util/elytra/tick

#kill items
execute as @e[type=item] unless data entity @s Item.tag.map run kill